zenilib: zenilib/jni/external/glew/auto/src/glew_utils.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
glew_utils.h File Reference
`#include <GL/glew.h>`
`#include <GL/glxew.h>`

Go to the source code of this file.

## Macros

#define | GLEW_CONTEXT_ARG_DEF_INIT void
#define | GLEW_CONTEXT_ARG_DEF_LIST void
#define | GLEW_CONTEXT_ARG_VAR_INIT
#define | glewGetProcAddress(name) (*glXGetProcAddressARB)(name)
#define | GLXEW_CONTEXT_ARG_DEF_INIT void
#define | GLXEW_CONTEXT_ARG_DEF_LIST void
#define | WGLEW_CONTEXT_ARG_DEF_INIT void
#define | WGLEW_CONTEXT_ARG_DEF_LIST void

## Functions

GLuint | _glewStrCLen (const GLubyte *s, GLubyte c)
GLuint | _glewStrLen (const GLubyte *s)
GLboolean | _glewStrSame (const GLubyte *a, const GLubyte *b, GLuint n)
GLboolean | _glewStrSame1 (GLubyte **a, GLuint *na, const GLubyte *b, GLuint nb)
GLboolean | _glewStrSame2 (GLubyte **a, GLuint *na, const GLubyte *b, GLuint nb)

## Macro Definition Documentation

#define GLEW_CONTEXT_ARG_DEF_INIT void

Definition at line 62 of file glew_utils.h.

#define GLEW_CONTEXT_ARG_DEF_LIST void

Definition at line 64 of file glew_utils.h.

#define GLEW_CONTEXT_ARG_VAR_INIT

Definition at line 63 of file glew_utils.h.

#define glewGetProcAddress | ( |  | name | ) | (*glXGetProcAddressARB)(name)

Definition at line 85 of file glew_utils.h.

#define GLXEW_CONTEXT_ARG_DEF_INIT void

Definition at line 67 of file glew_utils.h.

#define GLXEW_CONTEXT_ARG_DEF_LIST void

Definition at line 68 of file glew_utils.h.

#define WGLEW_CONTEXT_ARG_DEF_INIT void

Definition at line 65 of file glew_utils.h.

#define WGLEW_CONTEXT_ARG_DEF_LIST void

Definition at line 66 of file glew_utils.h.

## Function Documentation

GLuint _glewStrCLen | ( | const GLubyte * | s,
|  | GLubyte | c
| ) |  |

Definition at line 97 of file glew_utils.c.

References i, and NULL.

GLuint _glewStrLen | ( | const GLubyte * | s | ) |

Definition at line 90 of file glew_utils.c.

References i, and NULL.

GLboolean _glewStrSame | ( | const GLubyte * | a,
|  | const GLubyte * | b,
|  | GLuint | n
| ) |  |

Definition at line 104 of file glew_utils.c.

References GL_FALSE, GL_TRUE, i, and NULL.

GLboolean _glewStrSame1 | ( | GLubyte ** | a,
|  | GLuint * | na,
|  | const GLubyte * | b,
|  | GLuint | nb
| ) |  |

Definition at line 111 of file glew_utils.c.

References GL_FALSE, GL_TRUE, i, and NULL.

GLboolean _glewStrSame2 | ( | GLubyte ** | a,
|  | GLuint * | na,
|  | const GLubyte * | b,
|  | GLuint | nb
| ) |  |

Definition at line 132 of file glew_utils.c.

References GL_FALSE, GL_TRUE, i, and NULL.